// defines the body slot pickups
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

#ifndef INCLUDED_BODY_SLOT_PICKUPS_GSH
#define INCLUDED_BODY_SLOT_PICKUPS_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

shape Shp_Lock_Decoder_Pickup
{
	file "objects\lock decoder a.RIF"
	name "lock decoder a"
}

shape Shp_Beacon_Tracker_Pickup
{
	file "objects\beacon tracker.RIF"
	name "beacon tracker"
}

shape Shp_Terrain_Scanner_Pickup
{
	file "objects\terrain scanner pickup.RIF"	
	name "terrain scanner pickup"			
}

shape Shp_Hologram_Generator_Pickup
{
	file "objects\hologram generator pickup.RIF"	
	name "hologram generator pickup"			
}

shape Shp_Audio_Cloak_Pickup
{
	file "objects\audio cloak pickup.RIF"	
	name "audio cloak pickup"			
}

shape Shp_Sight_Pickup
{
	file "objects\sight pickup a.RIF"
	name "sight pickup a"
}

shape Shp_SightPlus_Pickup
{
	file "objects\sight plus pickup.RIF"
	name "sight plus pickup"
}

character Chr_Lock_Decoder_Pickup : Chr_Default
{
	turning speed   0	// unused at present
	walking speed   0
	weapon			lock decoder
	strength        10	// initial strength points
	aim				0
	aggression		0.71	// 7 = body slot pickup
	size			6
}

character Chr_Beacon_Tracker_Pickup : Chr_Default
{
	turning speed   0	// unused at present
	walking speed   0
	weapon			beacon tracker
	strength        10	// initial strength points
	aim				0
	aggression		0.71	// 7 = body slot pickup
	size			6
}

character Chr_Terrain_Scanner_Pickup : Chr_Default
{
	turning speed   0	// unused at present
	walking speed   1	// 1 = no radar
	weapon			terrain scanner
	strength        10	// initial strength points
	aim				0
	aggression		0.71	// 7 = body slot pickup
	size			6
}

character Chr_Terrain_Scanner_With_Radar_Pickup : Chr_Default
{
	turning speed   0	// unused at present
	walking speed   0	// 0 = with radar
	weapon			terrain scanner
	strength        10	// initial strength points
	aim				0
	aggression		0.71	// 7 = body slot pickup
	size			6
}

character Chr_Hologram_Generator_Pickup : Chr_Default
{
	turning speed   0	// unused at present
	walking speed   0
	weapon			hologram generator
	strength        10	// initial strength points
	aim				0
	aggression		0.71	// 7 = body slot pickup
	size			6
}

character Chr_Audio_Cloak_Pickup : Chr_Default
{
	turning speed   0	// unused at present
	walking speed   0
	weapon			audio cloak
	strength        10	// initial strength points
	aim				0
	aggression		0.71	// 7 = body slot pickup
	size			6
}

character Chr_Sight_Pickup : Chr_Default
{
	turning speed	0
	walking speed   2	// vision range boost in metres
	weapon			sight pickup
	strength        10	// initial strength points
	aim				0
	aggression		0.71	// 7 = body slot pickup
	size			6
}

character Chr_SightPlus_Pickup : Chr_Default
{
	turning speed	0
	walking speed	4	// vision range boost in metres
	weapon			sight pickup
	strength		10	// initial strength points
	aim				0
	aggression		0.71	// 7 = body slot pickup
	size			6
}

role Rol_Lock_Decoder_Pickup : Rol_DefaultPickup
{
	shape            Shp_Lock_Decoder_Pickup

	character        Chr_Lock_Decoder_Pickup

	identifier       "lock_decoder"

	destructibility  Des_Explode
}

role Rol_Beacon_Tracker_Pickup : Rol_DefaultPickup
{
	shape            Shp_Beacon_Tracker_Pickup

	character        Chr_Beacon_Tracker_Pickup

	identifier       "beacon_tracker"

	destructibility  Des_Explode
}

role Rol_Terrain_Scanner_Pickup : Rol_DefaultPickup
{
	shape			Shp_Terrain_Scanner_Pickup

	character		Chr_Terrain_Scanner_Pickup

	identifier		"terrain_scanner"

	description		terrain scanner description

	pickup name		terrain scanner pickup

	destructibility	Des_Explode
}

role Rol_Terrain_Scanner_With_Radar_Pickup : Rol_DefaultPickup
{
	shape			Shp_Terrain_Scanner_Pickup

	character		Chr_Terrain_Scanner_With_Radar_Pickup

	identifier		"terrain_scanner_with_radar"

	description		terrain scanner description

	pickup name		terrain scanner pickup

	destructibility	Des_Explode
}

role Rol_Hologram_Generator_Pickup : Rol_DefaultPickup
{
	shape			Shp_Hologram_Generator_Pickup

	character		Chr_Hologram_Generator_Pickup

	identifier		"Hologram_Generator"

	description		hologram generator description

	pickup name		hologram generator pickup

	destructibility	Des_Explode
}

role Rol_Audio_Cloak_Pickup : Rol_DefaultPickup
{
	shape			Shp_Audio_Cloak_Pickup

	character		Chr_Audio_Cloak_Pickup

	identifier		"Audio_Cloak"

	description		audio cloak description

	pickup name		audio cloak pickup

	destructibility	Des_Explode
}

role Rol_Sight_Pickup : Rol_DefaultPickup
{
	shape            Shp_Sight_Pickup

	character        Chr_Sight_Pickup

	identifier       "sight_pickup"

	destructibility  Des_Explode

	description		sight pickup description

	pickup name		sight pickup
}

role Rol_SightPlus_Pickup : Rol_DefaultPickup
{
	shape			Shp_SightPlus_Pickup

	character		Chr_SightPlus_Pickup

	identifier		"sightplus_pickup"

	destructibility	Des_Explode

	description		sight pickup plus description

	pickup name		sightplus pickup
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_BODY_SLOT_PICKUPS_GSH